import { StoreNodeTypes, StoreStructure } from 'redux-store-generator';
import { StoreStructureApi } from '../types/types';
export declare const storeStructure: StoreNodeTypes;
export declare const state: StoreStructureApi;
export declare type AppState = {
    isLoading: boolean;
    email?: string;
};
export declare type User = {
    userName?: string;
    email?: string;
};
export declare type Product = {
    id: string;
    title: string;
    price: number;
    thumbnail: string;
    imageUrl: string;
    sellerName: string;
    sellerEmail: string;
};
export declare type Products = Record<string, Product>;
export declare type Log = {
    id: string;
};
export declare type Logs = Array<Log>;
export interface MyStore extends StoreStructure {
    appState: AppState;
    user: User;
    products: Products;
    logs: Logs;
}
export declare const myStoreState: MyStore;
export default state;
